Lists active grants (status="ACTIVE") for your org.
The filter expression (?filter=) is required.
Pagination parameters are accepted. Standard link headers are in the response.
By default, results are sorted by id.
The pagination cursor that points to the last record of the previous request
A filter expression that returns entries based on the following properties:
targetResourceOrn(alternatively, you can usetarget.externalIdandtarget.typefor a specific resource )targetPrincipalOrn(alternatively, you can usetargetPrincipal.externalIdandtargetPrincipal.typefor a specific principal)entitlementBundleIdentitlements.identitlements.values.idaction
The eq operator is supported for these properties. The AND and OR logical operators are supported for combining multiple expressions.
Note: Query parameter percent encoding is required. See Special characters.
The include parameter adds additional properties to the response.
| Items Enum Value | Description |
|---|---|
| full_entitlements | Include complete entitlements in the response |
| metadata | Include metadata such as collection generating the grant in the response |
- https://subdomain-okta.login.adsbillinghub.comhttps://subdomain-okta.login.adsbillinghub.com/governance/api/v1/grants
curl -i -X GET \
'https://subdomain-okta.login.adsbillinghub.com/governance/api/v1/grants?after=string&limit=20&filter=target.externalId%20eq%20%220oafxqCAJWWGELFTYASJ%22%20AND%20target.type%20eq%20%22APPLICATION%22%20AND%20targetPrincipal.externalId%20eq%20%2200ub0oNGTSWTBKOLGLNR%22%20AND%20targetPrincipal.type%20eq%20%22OKTA_USER%22&include=full_entitlements'A principal user can have active POLICY grants and ENTITLEMENT-BUNDLE grants. This is common when an entitlement policy grants a user an entitlement, and then a user requests access to a specific entitlement bundle at a later date.
{ "data": [ { … }, { … } ], "_links": { "self": { … } } }